Update User Preferences Using PUT
Update the currently logged in user's preferences.
Request
URI
PUT
https://{api_host}//cava-s-182-041.eng.vmware.com/csp/gateway/am/api/loggedin/user/profile/locale-preferences
COPY
Header Parameters
string
Authorization
Optional
Authorization
string
csp-auth-token
Optional
csp-auth-token
Request Body
localeRequest
UserLocaleRequest
of type(s)
application/json
Required
{
"language": "string",
"locale": "string"
}
string
language
Optional
language
string
locale
Optional
locale
Responses
200
OK
Returns
UserLocaleRequest
of type(s)
*/*
{
"language": "string",
"locale": "string"
}
string
language
Optional
language
string
locale
Optional
locale
Principal User Controller Operations
GET
Get Logged In User Details Using GET
GET
Get Logged In User Using GET
GET
Get Principal User Profile Using GET
GET
Get User Default Org Using GET
GET
Get User Org Info Using GET
GET
Get User Org Roles Using GET
GET
Get User Org Service Roles Using GET
GET
Get User Orgs Using GET
PUT
Update User Preferences Using PUT